dvdisaster Version 0.70 | Zur Internet-Version

Inhalt
Überblick
Beispiele und Bildschirmfotos
· | Datenträger auf Lesefehler prüfen
· | Fehlerkorrektur-Daten erzeugen
· | Beschädigten Datenträger einlesen
· | Datenträger-Abbild rekonstruieren
· | Informationen über Abbild und Fehlerkorrektur-Daten anzeigen
· | Einstellmöglichkeiten
· | Aufrufmöglichkeiten
Herunterladen
Fragen und Antworten
Hintergrundinformationen
|  | ### Aufrufmöglichkeiten Verwenden der Kommandozeile. dvdisaster arbeitet in der Kommandozeilen-Betriebsart, wenn Sie beim Aufruf einen der untenstehenden Aktionsparameter (read, create, scan, fix, test) angeben. Anderenfalls öffnet es ein Fenster für die graphische Betriebsart. In der Kommandozeile werden Einstellungen aus der graphischen Oberfläche bzw. der .dvdisaster-Datei ignoriert. Ebenso haben die auf dieser Seite beschriebenen Kommandozeilen-Parameter keine Wirkung in der graphischen Betriebsart. Aus technischen Gründen gibt es unter Windows zwei Programmversionen:
dvdisaster.exe | -- | für die Kommandozeilen-Betriebsart
dvdisaster-win.exe | -- | für die graphische Benutzeroberfläche
Aktionen. dvdisaster benötigt beim Aufruf die Angabe einer Aktion entweder in Langform (--read) oder mit dem Anfangsbuchstaben in Kurzform (-r):
| --scan | Datenträger auf Lesefehler überprüfen
| --read | Abbild des Datenträgers einlesen
| --create | Fehlerkorrektur-Datei erzeugen
| --fix | Versucht, ein Abbild mit Hilfe der Fehlerkorrektur-Datei zu reparieren
| --test | Überprüft, ob Abbild- und Fehlerkorrektur-Datei zusammengehören
| --unlink | Löscht die Abbild-Datei beim Beenden des Programms
Laufwerks- und Dateinamen. Diese Optionen haben ebenfalls eine Langform (--device) und eine Kurzform (-d). Sie dienen dazu, andere als die voreingestellten Laufwerke und Dateinamen zu verwenden.
| --device | Laufwerk auswählen
| --prefix | Präfix für Abbild- und Fehlerkode-Dateien
| --image | Name der Abbild-Datei
| --ecc | Name der Fehlerkode-Datei
| --list | Zeigt verfügbare Laufwerke unter ASPI (nur in der Windows-Version)
Weitere Optionen. Diese weniger häufig benutzten Optionen verwenden nur die Langform, sofern nicht anders angegeben.
| --adaptive-read | Angepaßtes Leseverfahren für defekte Datenträger verwenden
| --auto-suffix | Automatisches Anfügen der .iso- und .ecc-Dateiendungen
| --cache-size | Zwischenspeicher-Größe während der Fehlerkode-Berechnung
| --dao | Behandelt Datenträger als "disk at once"
| --fill-unreadable [n] | Füllt unlesbare Sektoren mit Byte n auf
| -j / --jump | Überspringt Sektoren nach einem Lesefehler
| -m / --method | Fehlerkorrektur-Methode auswählen
| -n / --redundancy | Redundanz der Fehlerkorrektur-Datei festlegen (RS01)
|  | Höchstmögliche Größe für Fehlerkorrektur-Abbilder angeben (RS02)
| --query-size | Abbildgröße durch Laufwerk oder udf/ecc-Dateisysteme ermitteln
| --speed-warning [n] | Warnung bei Einbrüchen der Lesegeschwindigkeit
| --spinup-delay [n] | Gibt dem Laufwerk Zeit zum Hochdrehen
| --split-files | Teilt Dateien in Segmente <=2GB auf
| -v / --verbose | Mehr erläuternde Ausgaben
### Aktionen. --scan [n-m]: Datenträger auf Lesefehler überprüfen Liest jeden Sektor des Datenträgers und gibt am Ende die Anzahl der nicht lesbaren Sektoren aus. Die einzulesenden Sektoren können auf einen bestimmten Bereich eingeschränkt werden. Die Sektornumerierung beginnt bei 0; "end" bezeichnet den letzten Sektor. Das angegebene Intervall wird inklusive der Grenzen eingelesen; 0-100 liest also 101 Sektoren ein. In der Kurzform sind zwischen dem "-s" und dem Intervall keine Leerzeichen zulässig:
    dvdisaster -s0-100            # liest Sektoren 0 bis 101
    dvdisaster --scan 0-100       # Langform
    dvdisaster --scan 3000-end    # liest von Sektor 3000 bis zum Datenträger-Ende
↑ --read [n-m]: Abbild des Datenträgers erzeugen Erzeugt ein Abbild des Datenträgers auf der Festplatte. Falls die Abbild-Datei bereits existiert, werden nur diejenigen Sektoren eingelesen, die noch nicht in der Abbild-Datei vorhanden sind. Dies ermöglicht es, ein Abbild durch mehrere Leseversuche zu ergänzen und dabei verschiedene Laufwerke einzusetzen. Ohne weitere Angaben setzt --read das lineare Leseverfahren ein. Verwenden Sie zusätzlich die --adaptive-read--Option, um das angepaßte Leseverfahren einzusetzen. Die einzulesenden Sektoren können wie bei der --scan-Option auf einen bestimmten Bereich eingeschränkt werden. ↑ --create: Fehlerkorrektur-Datei erzeugen Erzeugt eine Fehlerkorrekturdatei zu einem Abbild. ↑ --fix: Abbild reparieren Versucht, ein Abbild mit Hilfe der Fehlerkorrektur-Datei zu reparieren. Falls es im ersten Anlauf nicht gelingt, alle Sektoren zu reparieren, können Sie einen weiteren Durchlauf mit --read versuchen (ein paar Tips dazu). Dabei werden gegebenenfalls genügend fehlende Sektoren eingelesen um eine erfolgreiche Reparatur des Abbildes durchzuführen. ↑ --test: Abbild- und Fehlerkorrektur-Datei überprüfen Überprüft, ob die Abbild- und Fehlerkorrektur-Dateien zu dem gleichen Datenträger gehören und ob ihre internen Prüfsummen korrekt sind. Siehe auch Punkt 3.3 in den Fragen und Antworten. ↑ --unlink: Löscht die Abbild-Datei beim Beenden des Programms Diese Funktion löscht die Abbild-Datei, wenn alle Aktionen mit Erfolg durchgeführt worden sind. ↑ ### Laufwerks- und Dateinamen. --device <Laufwerk>: Laufwerk auswählen Voreingestellt sind "/dev/cdrom" unter Linux bzw. das erste CD/DVD-Laufwerk (nach Laufwerksbuchstabe) unter Windows. FreeBSD:
user@freebsd> dvdisaster -d /dev/pass0 -r
dvdisaster unterstützt Laufwerke, die über den "passthrough"-Treiber `/dev/pass*` eingebunden sind und den MMC-3 Standard implementieren. ATAPI-Laufwerke werden möglicherweise erst nach einem Neuübersetzen des Kernels verfügbar. Linux:
user@linux> dvdisaster -d /dev/hdc -r
dvdisaster unterstützt Laufwerke, die über den einheitlichen CD-ROM-Treiber von Linux angesteuert werden und den MMC3-Standard implementieren. Dies sind insbesondere ATAPI-Laufwerke mit den symbolischen Geräten `/dev/hd*` sowie SCSI-Laufwerke mit den symbolischen Geräten `/dev/scd*`. Externe Laufwerke mit anderen Bussystemen (z.B. USB, IEEE 1394) erscheinen typischerweise ebenfalls als SCSI-Geräte. Das Einbinden von ATAPI-Geräten über das ide-scsi-Modul wird nicht empfohlen; diese Geräte sind aber normalerweise über `/dev/scd*` problemlos nutzbar. Der allgemeine SCSI-Treiber sg (`/dev/sg*`) wird nicht unterstützt. Dies sollte kein Problem darstellen, da die jeweiligen Geräte normalerweise auch über `/dev/scd*` oder `/dev/sr*` verfügbar sind. Windows:
user@windows> dvdisaster -d E: -r
dvdisaster unterstützt lokale Laufwerke, die den MMC3-Standard implementieren und mit einem Laufwerksbuchstaben im System erscheinen. ↑ --prefix <Präfix>: Präfix für Abbild- und Fehlerkorrektur-Datei Voreingestellt ist "medium"; die Abbild- und Fehlerkorrekturdateien erhalten automatisch die Endungen ".iso" bzw. ".ecc". ↑ --image <Dateiname>: Name der Abbild-Datei Voreingestellt ist "medium.iso"; der angegebene Dateiname wird genau (ohne automatisches Anfügen einer Endung) für die Abbild-Datei übernommen, sofern die --auto-suffix--Option nicht ebenfalls verwendet wird. ↑ --ecc <Dateiname>: Name der Fehlerkorrektur-Datei Voreingestellt ist "medium.ecc"; der angegebene Dateiname wird genau (ohne automatisches Anfügen einer Endung) für die Fehlerkorrektur-Datei übernommen, sofern die --auto-suffix--Option nicht ebenfalls verwendet wird. ↑ --list: Zeigt verfügbare Laufwerke unter ASPI Diese Funktion zeigt alle CD/DVD-Laufwerke an, die unter Windows durch die ASPI-Schicht ansprechbar sind:
user@windows> dvdisaster -l dvdisaster-0.70 Copyright 2004-2006 Carsten Gnoerlich. [... der Rest des GPL-Begrüßungstextes ...] List of ASPI CD/DVD drives: 1: (H:) ATAPI DVD+RW 8X4X12 B2K7 2: (I:) MYDRIVE CD-R MY-401610X 1.05 Um die Benutzung von ASPI anstelle von SPTI zu erzwingen, verwenden Sie die obigen Laufwerksnummern, also 1:, 2:,... anstelle von C:, D:,...
dvdisaster verwendet standardmäßig nur dann ASPI, wenn ein Zugriff auf die Laufwerke über SPTI nicht möglich ist. Die Benutzung von ASPI läßt sich durch Angabe der Laufwerksnummer anstelle des Laufwerksbuchstabens erzwingen. Um einen Datenträger per ASPI in dem "MYDRIVE"-Laufwerk des obigen Beispiels einzulesen, geben Sie also ein:
user@windows> dvdisaster -d 2: -r
1. ↑ ### Weitere Optionen. --adaptive-read: Angepaßtes Leseverfahren für defekte Datenträger verwenden Dieser Schalter aktiviert in Verbindung mit -r/--read das angepaßte Leseverfahren, das besonders gut für das Einlesen von beschädigten Datenträgern geeignet ist. Wenn Sie mit Fehlerkorrektur-Dateien arbeiten, geben Sie diese mit -e/--ecc an, damit das Verfahren anhand der Fehlerkorrektur-Daten entscheiden kann, wann genügend Informationen für eine erfolgreiche Wiederherstellung des Abbildes eingelesen worden sind. Bei mit Fehlerkorrektur-Daten erweiterten Abbildern geschieht dies automatisch. ↑ --auto-suffix: Automatisches Anfügen der .iso- und .ecc-Dateiendungen Diese Option bewirkt, daß an die mit den -i/--image- bzw. -e/--ecc-Optionen angegebenen Dateinamen die Endungen ".iso" bzw. ".ecc" angehängt werden, sofern nicht bereits eine andere Endung vorhanden ist. ↑ --cache-size <Größe in MB>: Zwischenspeicher-Größe einstellen dvdisaster optimiert den Zugriff auf die Abbild- und Fehlerkorrektur-Daten durch einen eigenen Zwischenspeicher, dessen Größe zwischen 1 und 2048 MB betragen kann. Voreingestellt sind 32MB, was für die meisten Systeme passend ist. Diese Option hat nur bei der --create--Aktion eine Wirkung. ↑ --dao: Behandelt Datenträger als "disc at once" Datenträger, die im "TAO"-Modus ("track at once") gebrannt wurden, können am Ende zwei Sektoren mit Pseudo-Lesefehlern enthalten. Daher ignoriert dvdisaster in der Grundeinstellung bis zu 2 Lesefehler am Ende des Datenträgers. Wenn Sie nun das ausgesprochene Pech haben, einen "DAO" ("disc at once") - Datenträger mit genau ein oder zwei echten Lesefehlern am Ende zu besitzen, erreichen Sie durch Angabe der "--dao"-Option eine korrekte Behandlung des Datenträger-Endes. ↑ --fill-unreadable <Füll-Byte>: Unlesbare Sektoren mit angegebenen Byte auffüllen dvdisaster kennzeichnet unlesbare Sektoren mit einem Fülltext, dessen Vorkommen auf einem unbeschädigten Datenträger sehr unwahrscheinlich ist. Einige andere Datenrettungsprogramme erwarten hingegen, daß unlesbare Sektoren mit einem bestimmten Byte aufgefüllt sind. Um den Austausch von Abbildern mit anderen Programmen zu ermöglichen, müssen Sie das "richtige" Byte angeben: 0xb0 (dezimal 176): bewirkt Kompatibilität mit dem Programm h2cdimage des c't-Magazins. Hinweis: Das Auffüllen mit Nullen (0x00, dezimal 0) ist nicht empfehlenswert. Die meisten Datenträger enthalten auch im unbeschädigten Zustand Sektoren, die mit Null aufgefüllt sind. Diese Sektoren können später nicht von unlesbaren Sektoren unterschieden werden. ↑ -j / --jump <Anzahl Sektoren>: Überspringe Sektoren nach einem Lesefehler Die Auswirkungen dieser Option hängen von dem verwendeten Leseverfahren ab: bei dem linearen Lese-Verfahren (Grundeinstellung) wird die angegebene Anzahl von nachfolgenden Sektoren nach einem Lesefehler übersprungen. bei dem angepaßten Lese-Verfahren (--adaptive--read--Option) wird das Einlesen abgebrochen, sobald keine unlesbaren Bereiche mehr existieren, die länger als der angegebene Wert sind. Größere Werte verringern die Bearbeitungszeit und die mechanische Beanspruchung des Laufwerkes, lassen aber größere Lücken beim Einlesen defekter Bereiche. Die Anzahl der zu überspringenden Sektoren muß ein Vielfaches von 16 sein. ↑ -m / --method <m>: Fehlerkorrektur-Verfahren auswählen Wählen Sie zwischen den Verfahren RS01 (Voreinstellung) und RS02. ↑ --query-size <m>: Abbildgröße durch Laufwerk oder udf/ecc-Dateisysteme ermitteln Diese Einstellung legt fest, wie dvdisaster die Größe der einzulesenden Abbilder bestimmt. <m> kann die folgenden Werte annehmen: ecc: Dies ist die Grundeinstellung. dvdisaster wertet die RS02-Fehlerkorrektur-Informationen aus, um die Abbild-Größe zu ermitteln. Diese Option muß beim Einlesen von erweiterten Abbildern ausgewählt sein, da sonst das Abbild möglicherweise nur unvollständig eingelesen wird. Sie können mit dieser Einstellung auch Abbilder einlesen, die keine RS02-Fehlerkorrektur-Informationen enthalten. In diesem Fall wird die Abbildgröße wie bei "udf" ermittelt. Das Suchen nach den Fehlerkorrektur-Informationen kann den Beginn des Einlesens allerdings eine Weile verzögern. udf: Aktivieren Sie diese Option, damit dvdisaster die Größenangaben für das Abbild aus dem ISO- bzw. UDF-Dateisystem ermittelt. Vorsicht: Dies ist nur zum Arbeiten mit Fehlerkorrektur-Dateien geeignet, denn es führt zum unvollständigen Einlesen von Abbildern, die RS02-Fehlerkorrektur-Informationen enthalten. Laufwerk: Es wird die Abbild-Größe verwendet, die das Laufwerk zurückmeldet. Weil diese Information häufig bei DVD-RW/+RW falsch ist, ist diese Option nur noch zur Kompatibilität mit älteren dvdisaster-Versionen vorhanden. ↑ -n / --redundancy: Redundanz der Fehlerkorrektur-Datei festlegen (RS01) Die Redundanz gibt an, wieviel Prozent der Originaldaten im günstigsten Fall durch die Fehlerkorrektur-Datei rekonstruiert werden können. Daher sollten Sie die Redundanz großzügig wählen und dabei auch beachten: Eine Fehlerkorrekturdatei mit x% Redundanz benötigt auch etwa x% der Größe des zugehörigen Abbilds an Speicherplatz. Die Leistung der Fehlerkorrektur hängt von der Verteilung der Lesefehler ab. Erst Änderungen der Redundanz um etwa 5 Prozentpunkte haben einen spürbaren Einfluß auf die Fehlerkorrektur. Zur Einstellung der Redundanz gibt es mehrere Möglichkeiten: "normal" oder "hoch" Geben Sie "normal" oder "high" an, um die folgenden Redundanzen zu erhalten:
   Wert | Redundanz
   `-n normal` | 14.3%
   `-n high` | 33.5%
2. Mit diesen beiden Einstellungen werden Fehlerkorrektur-Dateien durch optimierten Programmcode besonders schnell erzeugt. Der Wert "normal" ist die Voreinstellung. Angabe in Prozent Sie können die Redundanz auch direkt in Prozent angeben:
   Beispiel | Wertebereich
   `-n 25%` | 3.2% bis 64.5%
3. Aus technischen Gründen kann die wirklich verwendete Redundanz um einige Nachkommastellen von der Vorgabe abweichen. Korrigierbare Fehler pro Fehlerkorrekturbereich Wenn Sie keine Maßeinheit bei der Redundanz angeben, wird der Wert so interpretiert, daß Sie einen (255, 255-x)-Reed-Solomon-Kode erzeugen möchten:
   Beispiel | Wertebereich
   `-n 32` | 8 bis 100
4. Dies führt dazu, daß jeweils 255-x Datenträger-Sektoren zu einem Fehlerkorrekturbereich zusammengefaßt werden, innerhalb dessen bis zu x unlesbare Sektoren korrigiert werden können. Dabei gilt der folgende Zusammenhang: Redundanz in Prozent = (100 * x) / (255 - x) Maximalgröße der Fehlerkorrekturdatei Eine weitere Möglichkeit besteht darin, die Größe der Fehlerkorrekturdatei (in MB) vorzugeben:
   Beispiel | Wertebereich
   `-n 50m` | 3.2% bis 64.5% der Abbild-Größe
In diesem Fall wählt dvdisaster eine geeignete Redundanz, damit die Fehlerkorrektur-Datei nicht größer als angegeben wird. Vorsicht: Wenn man unterschiedlich große Abbilder mit der gleichen Einstellung bearbeitet, erhalten die kleineren Abbilder mehr Fehlerkorrekturinformationen als die großen Abbilder. ↑ -n / --redundancy: Höchstmögliche Größe für Fehlerkorrektur-Abbilder angeben (RS02) Beim Erzeugen von erweiterten Abbildern wird die höchstmögliche Größe des Datenträgers (in Sektoren von 2KB) mit dieser Option angegeben. Das Abbild wird mit Fehlerkorrektur-Daten aufgefüllt wobei die angegebene Größe nicht überschritten wird. Außer einer direkten Angabe der Anzahl von Sektoren können auch die Werte CD, DVD, und DVD9 angegeben werden, die den Grundeinstellungen in der graphischen Benutzeroberfläche für die jeweilige Datenträgergröße entsprechen. Falls die -n/--redundancy-Option nicht angegeben wird, erweitert dvdisaster das Abbild so, daß der kleinstmögliche Datenträger (CD, ein- oder zweischichtige DVD) verwendet werden kann. ↑ --speed-warning [n]: Warnung bei Einbrüchen der Lesegeschwindigkeit Gibt eine Warnung aus, wenn sich die Lesegeschwindigkeit um mehr als n Prozent verändert. Dies ist hilfreich, um beginnende Datenträgerprobleme zu erkennen. Wenn der optionale Wert [n] nicht angegeben wird, sind 10 Prozent voreingestellt. ↑ --spinup-delay [n]: Gibt dem Laufwerk Zeit zum Hochdrehen Gibt dem Laufwerk die angegebene Anzahl Sekunden Zeit zum Hochdrehen bevor der Lesevorgang beginnt. Dadurch erscheinen keine abrupten Geschwindigkeitsänderungen beim Beginn des Lesens und entsprechende Warnungen in Verbindung mit der --speed-warning-Option werden vermieden. Für den optionalen Wert [n] sind 5 Sekunden voreingestellt. ↑ --split-files: Teilt Dateien in Segmente <= 2GB auf Ermöglicht das Anlegen von Abbildern und Fehlerkorrektur-Dateien auf Dateisystemen, die nur Dateien mit einer Maximalgröße von 2GB zulassen (z.B. FAT unter Windows). Anstelle einer einzigen Datei "abbild.iso" werden bis zu 100 Segmente "abbild00.iso", "abbild01.iso" usw. verwendet; dies kostet etwas Geschwindigkeit. Geben Sie weiterhin den Dateinamen als "abbild.iso" bei der --image-Option an; die Nummern werden automatisch hinzugefügt, wenn dieser Schalter aktiv ist. ↑ --verbose: Mehr erläuternde Ausgaben dvdisaster gibt mehr erläuternde Informationen aus wenn dieser Schalter verwendet wird. Im Gegensatz zu anderen Kommandozeilen-Schaltern wirkt dieser auch in der graphischen Benutzeroberfläche; die zusätzlichen Ausgaben erscheinen dort im "Protokoll"-Fenster. ↑

Copyright 2004-2006 Carsten Gnörlich. Die unveränderte Wiedergabe und Verteilung dieses gesamten Textes in beliebiger Form ist gestattet, sofern dieser Hinweis erhalten bleibt.